> ## Documentation Index
> Fetch the complete documentation index at: https://docs.useanima.sh/llms.txt
> Use this file to discover all available pages before exploring further.

# Get voicecalls 1



## OpenAPI

````yaml /openapi.json get /voice/calls/{callId}
openapi: 3.1.1
info:
  title: Anima API
  version: 0.1.0
  description: >-
    The Anima API provides programmatic access to unified infrastructure for AI
    agents: create and manage agents; send and receive email; place phone calls
    and send/receive SMS and voice; store and retrieve vault credentials; manage
    agent identity; and configure webhooks for real-time events. Authenticate
    using a Bearer token or an API key passed via the X-API-Key header.
  contact:
    name: Anima Labs
    url: https://useanima.sh
    email: support@useanima.sh
  license:
    name: MIT
    url: https://opensource.org/licenses/MIT
servers:
  - url: https://api.useanima.sh/v1
    description: Production
security:
  - BearerAuth: []
  - ApiKeyAuth: []
paths:
  /voice/calls/{callId}:
    get:
      operationId: voice.getCall
      parameters:
        - name: callId
          in: path
          required: true
          schema:
            type: string
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                type: object
                properties:
                  id:
                    type: string
                  agentId:
                    anyOf:
                      - type: string
                      - type: 'null'
                  phoneIdentityId:
                    anyOf:
                      - type: string
                      - type: 'null'
                  direction:
                    enum:
                      - INBOUND
                      - OUTBOUND
                    type: string
                  state:
                    type: string
                  from:
                    type: string
                  to:
                    type: string
                  startedAt:
                    type: string
                  answeredAt:
                    anyOf:
                      - type: string
                      - type: 'null'
                  endedAt:
                    anyOf:
                      - type: string
                      - type: 'null'
                  endReason:
                    anyOf:
                      - type: string
                      - type: 'null'
                  durationSeconds:
                    anyOf:
                      - type: number
                      - type: 'null'
                  createdAt:
                    type: string
                required:
                  - id
                  - agentId
                  - phoneIdentityId
                  - direction
                  - state
                  - from
                  - to
                  - startedAt
                  - answeredAt
                  - endedAt
                  - endReason
                  - durationSeconds
                  - createdAt
components:
  securitySchemes:
    BearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT
      description: >-
        JWT Bearer token obtained from authentication. Pass as: Authorization:
        Bearer <token>
    ApiKeyAuth:
      type: apiKey
      in: header
      name: X-API-Key
      description: 'API key for programmatic access. Pass as: X-API-Key: <your-key>'

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.